Bug 870456 - existing orgs do not get default value for system_info_keys in database
existing orgs do not get default value for system_info_keys in database
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On:
Blocks: 872334
  Show dependency treegraph
 
Reported: 2012-10-26 10:36 EDT by Tom McKay
Modified: 2013-09-19 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 872334 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:09:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-10-26 10:36:16 EDT
NoMethodError: You have a nil object when you didn't expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.each
/home/tomckay/code/katello/src/app/models/system.rb:230:in `init_default_custom_info_keys'

When registering a system against an org created prior to custom_info_keys
Comment 2 Adam Price 2012-10-29 13:50:55 EDT
if you hit an error similar to this:

NoMethodError: You have a nil object when you didn't expect it!
You might have expected an instance of Array.
The error occurred while evaluating nil.each
/home/tomckay/code/katello/src/app/models/system.rb:230:in
`init_default_custom_info_keys'

it means you had at least one org that existed prior to default system
info keys.

run 'rake db:migrate:redo VERSION=20120924211134' on current-master to undo the
system_info_keys migration and correctly apply the new column to all
pre-existing organizations.

If any of your organizations had any data in the system_info_keys
column, unfortunately it will be removed.
Comment 3 Mike McCune 2013-08-16 13:51:33 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 4 Mike McCune 2013-09-19 14:09:23 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.